Saltar al contenido principal
GET
/
api
/
v1
/
siloc
/
participants
/
{participantId}
Obtener un participante
curl --request GET \
  --url https://siloc.sandbox.lerian.net/api/v1/siloc/participants/{participantId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://siloc.sandbox.lerian.net/api/v1/siloc/participants/{participantId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://siloc.sandbox.lerian.net/api/v1/siloc/participants/{participantId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "ispb": "<string>",
  "name": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "settlingInstitutionIspb": "<string>"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Autorizaciones

Authorization
string
header
requerido

JWT bearer token issued by the identity provider.

Parámetros de ruta

participantId
string<uuid>
requerido

Participant id.

Respuesta

OK

createdAt
string<date-time>
requerido

Creation timestamp.

id
string<uuid>
requerido

Participant id.

ispb
string
requerido

8-digit BACEN ISPB.

Pattern: ^[0-9]{8}$
Ejemplo:

"46026562"

name
string
requerido

Participant legal name.

Maximum string length: 200
role
enum<string>
requerido

Participant role.

Opciones disponibles:
DIRECT,
INDIRECT,
SETTLING_INSTITUTION
status
enum<string>
requerido

PAG0101 operational status.

Opciones disponibles:
1,
2,
3,
6,
7,
8,
9
updatedAt
string<date-time>
requerido

Last-update timestamp.

settlingInstitutionIspb
string

For an indirect participant, the ISPB of its settling institution.

Pattern: ^[0-9]{8}$